use serde::{Deserialize, Serialize};

#[derive(Debug, Clone, Copy, PartialEq, Eq, Serialize, Deserialize)]
pub enum PlayMode {
    #[serde(rename = "repeat")]
    Repeat,
    #[serde(rename = "repeat-one")]
    RepeatOne,
    #[serde(rename = "shuffle")]
    Shuffle,
}

impl Default for PlayMode {
    fn default() -> Self {
        PlayMode::Repeat
    }
}
